Bug 1571210 - [RFE] Keycloak/RHSSO integration
Summary: [RFE] Keycloak/RHSSO integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Amit Upadhye
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1181394 1569102 1697807 (view as bug list)
Depends On:
Blocks: 1462635 260381 1316897 1317008
TreeView+ depends on / blocked
 
Reported: 2018-04-24 10:08 UTC by Eduardo Minguez
Modified: 2020-08-03 17:25 UTC (History)
21 users (show)

Fixed In Version: foreman-1.24.0-0
Doc Type: Enhancement
Doc Text:
Support has been added for Common Access Card (CAC) authentication in Red Hat Satellite through Red Hat Single Sign On.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25809 High Closed Keycloak integration with Foreman 2020-09-18 08:57:01 UTC
Red Hat Bugzilla 1199091 'medium' 'CLOSED' '[RFE] enhance external authentication capabilities with SAML' 2019-12-05 20:21:17 UTC
Red Hat Bugzilla 1571208 'unspecified' 'NEW' '[RFE] Keycloak/RHSSO integration' 2019-12-05 20:21:17 UTC
Red Hat Knowledge Base (Solution) 1308193 Troubleshoot None [Satellite 6.x] - How do I enable the hammer command and API authentication on Satellite 6 using Kerberos or LDAP as bac... 2019-02-14 18:50:48 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:14 UTC

Description Eduardo Minguez 2018-04-24 10:08:54 UTC
Description of problem: Current satellite installer procedure doesn't support keycloak/RHSSO integration

Version-Release number of selected component (if applicable): 6.3.1

How reproducible: Look for keycloak/rhsso options in the Satellite installer

Steps to Reproduce:
1. Attempt to configure Satellite 6 to consume external authentication/users via keycloak/RHSSO

Actual results: No satellite-installer options.

Expected results:

There are satellite-installer options to achieve that setup.

Additional info:

Comment 5 Bryan Kearney 2019-01-31 18:44:06 UTC
*** Bug 1569102 has been marked as a duplicate of this bug. ***

Comment 6 Bryan Kearney 2019-02-14 18:50:49 UTC
*** Bug 1181394 has been marked as a duplicate of this bug. ***

Comment 8 Bryan Kearney 2019-04-18 18:00:23 UTC
*** Bug 1697807 has been marked as a duplicate of this bug. ***

Comment 15 Omkar Khatavkar 2020-03-23 14:27:01 UTC
Latest update on this tracker Bugzilla,  Blocker: BZ#1771425, BZ#1792135, BZ#1792140

Blocker Bug 1771425 is verified and it is resolved now. BZ#1792135 is moving to 6.8 now. BZ#1792140 is made won't fix token reimplementation will be in progress in 6.8 version.

Based on the above statements marking this as verified for Satellite 6.7

Comment 17 errata-xmlrpc 2020-04-14 13:22:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.